VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo:

## Avaliable Methods
public method | get_long_option ()
public method | set_field_name ()
public method | set_type ()
public method | set_description ()
public method | set_long_option ()
public method | get_generic ()
public method | set_short_option ()
public method | set_generic ()
public method | get_short_option ()
public method | get_description ()
public method | get_type ()
public method | new ()
public method | get_field_name ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo` class describes information about a specific input option of a command.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The description of the option to be displayed to the user when they request usage information for a CLI command. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_field_name | ( |  | ) |

Gets the value of 'field_name' property.

Return values

  field_name | - The current value of the field. The fully qualified name of the option referred to by the operation element in :attr:`Com::Vmware::Vapi::Metadata::Cli::Command::Info.operation_id` . String#

Code:
click to view
# Number of lines of code in get_field_name: 4
sub get_field_name {
my ($self, %args) = @_;
return $self->{'field_name'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_generic | ( |  | ) |

Gets the value of 'generic' property.

Return values

  generic | - The current value of the field. This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times. GenericType#

Code:
click to view
# Number of lines of code in get_generic: 4
sub get_generic {
my ($self, %args) = @_;
return $self->{'generic'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_long_option | ( |  | ) |

Gets the value of 'long_option' property.

Return values

  long_option | - The current value of the field. The long option name of the parameter as used by the user. String#

Code:
click to view
# Number of lines of code in get_long_option: 4
sub get_long_option {
my ($self, %args) = @_;
return $self->{'long_option'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_short_option | ( |  | ) |

Gets the value of 'short_option' property.

Return values

  short_option | - The current value of the field. The single character value option name. Optional#

Code:
click to view
# Number of lines of code in get_short_option: 4
sub get_short_option {
my ($self, %args) = @_;
return $self->{'short_option'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. The type of option. This is used to display information about what kind of data is expected (string, number, boolean, etc.) for the option when they request usage information for a CLI command. For enumerated type this stores the fully qualified enumerated type* id. String#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{long_option} = $args{'long_option'};
$self->{short_option} = $args{'short_option'};
$self->{field_name} = $args{'field_name'};
$self->{description} = $args{'description'};
$self->{type} = $args{'type'};
$self->{generic} = $args{'generic'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.cli.command.option_info');
$self->set_binding_field('key' => 'long_option', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'short_option', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'field_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'generic', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Command::GenericType'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The description of the option to be displayed to the user when they request usage information for a CLI command.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_field_name | ( |  | ) |

Sets the given value for 'field_name' property.

Parameters

  field_name | - New value for the field. The fully qualified name of the option referred to by the operation element in :attr:`Com::Vmware::Vapi::Metadata::Cli::Command::Info.operation_id` .

Code:
click to view
# Number of lines of code in set_field_name: 5
sub set_field_name {
my ($self, %args) = @_;
$self->{'field_name'} = $args{'field_name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_generic | ( |  | ) |

Sets the given value for 'generic' property.

Parameters

  generic | - New value for the field. This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times.

Code:
click to view
# Number of lines of code in set_generic: 5
sub set_generic {
my ($self, %args) = @_;
$self->{'generic'} = $args{'generic'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_long_option | ( |  | ) |

Sets the given value for 'long_option' property.

Parameters

  long_option | - New value for the field. The long option name of the parameter as used by the user.

Code:
click to view
# Number of lines of code in set_long_option: 5
sub set_long_option {
my ($self, %args) = @_;
$self->{'long_option'} = $args{'long_option'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_short_option | ( |  | ) |

Sets the given value for 'short_option' property.

Parameters

  short_option | - New value for the field. The single character value option name.

Code:
click to view
# Number of lines of code in set_short_option: 5
sub set_short_option {
my ($self, %args) = @_;
$self->{'short_option'} = $args{'short_option'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. The type of option. This is used to display information about what kind of data is expected (string, number, boolean, etc.) for the option when they request usage information for a CLI command. For enumerated type this stores the fully qualified enumerated type* id.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Command.pm